org.eclipse.cdt.core.dom

## Interface IName

All Known Subinterfaces:
  IASTImplicitDestructorName, IASTImplicitName, IASTName, ICPPASTConversionName, ICPPASTName, ICPPASTOperatorName, ICPPASTQualifiedName, ICPPASTTemplateId, ICPPASTTemplateName, IIndexName

    public interface IName

Common interface for names in the index and the AST.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IName[]` `EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IASTFileLocation` `getFileLocation()` Same as `IASTNode.getFileLocation()`
`char[]` `getSimpleID()` Returns the name without qualification and without template arguments.
`boolean` `isDeclaration()` Is this name being used in the AST as the introduction of a declaration?
`boolean` `isDefinition()` Is this name being used in the AST as a definition rather than a declaration?
`boolean` `isReference()` Is this name being used in the AST as a reference rather than a declaration?
`char[]` `toCharArray()` Deprecated. Using this method is problematic, because for names from the index never contain qualification or template arguments, which is different for names from the AST. Use `getSimpleID()`, instead.

### Field Detail

#### EMPTY_ARRAY

    static final IName[] EMPTY_ARRAY

Since:
  5.2

### Method Detail

#### getSimpleID

    char[] getSimpleID()

Returns the name without qualification and without template arguments.

Since:
  5.1

#### toCharArray

    @Deprecated
    char[] toCharArray()

Deprecated. Using this method is problematic, because for names from the index never contain qualification or template arguments, which is different for names from the AST. Use `getSimpleID()`, instead.

Restriction:
  This method is not intended to be referenced by clients.

#### isDeclaration

    boolean isDeclaration()

Is this name being used in the AST as the introduction of a declaration?

Returns:
  boolean

#### isReference

    boolean isReference()

Is this name being used in the AST as a reference rather than a declaration?

Returns:
  boolean

#### isDefinition

    boolean isDefinition()

Is this name being used in the AST as a definition rather than a declaration?

Returns:
  boolean

#### getFileLocation

    IASTFileLocation getFileLocation()

Same as `IASTNode.getFileLocation()`

Returns:
  the file location of this name.